# Luakit Documentation / Modules / noscript

# Module `noscript`

NoScript plugin for luakit

This module provides a method of restricting web page access to JavaScript and plugins.

This module provides keybindings for enabling/disabling either plugins or JavaScript for the current web page, as well as a status bar widget that indicates whether JavaScript is enabled for the current web page.

## Properties

### noscript.enable_scripts

Type: boolean
Default: `true`
Read-write
Whether JavaScript should be enabled by default.

### noscript.enable_plugins

Type: boolean
Default: `true`
Read-write
Whether plugins should be enabled by default.

## Attribution

#### Copyright

- 2011 Mason Larobina